Skip to main content
GET/api/conversations/{conversationId}/bankTransactions

Retrieving a list of banking transactions related to the conversation

The method allows you to get user transactions, if the conversation contains them. By default, it downloads transactions for a maximum of 90 full days, that is: today + 90 previous days. If you need a larger scope - please contact us. Transactions are returned as defined when creating the conversation. By default, this means both crediting and debiting the account, and only transactions that have already been made (posted or pending). Transactions are available when the appropriate callback is received, or when the bankTransactions status reaches FINISHED.

Query Parameters Description

The method supports the following query parameters:

ParameterExampleDescription
page10Page number. Paging starts on page 0 (default).
pageSize10Number of transactions on the results page. Currently, values above 200 are treated as 200.

Response Content

Detailed description of returned fields:

ParameterExampleDescription
id34df2bd6-b790-4560-9fc9-f86c86d87990Unique transaction identifier
date2020-08-27T10:40:28.348ZDate of operation in UTC time
statusPENDINGStatus of a given transaction at the time of downloading information from the bank. Allowed values: BOOKED - posted transaction, PENDING - transaction in progress, SCHEDULED - future transaction. Scheduled transactions appear when the flags field with the value INCLUDE_SCHEDULED was specified when creating the conversation.
bankBREXPLPWBank where the transaction was performed. The value identifies the bank as the SWIFT / BIC code.
accountIdPL68249000050000400075212326Account number where transaction was registered.
typeDEBITType of transaction. Available values: DEBIT (account debit) and CREDIT (account credit)
amount1000Value of the transaction in a currency unit, e.g. in grosze.
currencyPLNtype of currency
titleAccount top-upTransaction title
senderJan KowalskiTransaction sender
senderAccountIdPL68249000050000400075212326Account number of the sender
recipientJan KowalskiRecipient of the transaction
recipientAccountIdPL32114020040000320250132522Account number of the receiver
tags["transfer:bank:commission", "income:crypto"]Transaction categories

Parameters

NameInTypeRequiredDescription
conversationIdpathstringRequired

Conversation ID

pagequeryinteger · int32≥0Optional

Page number

pageSizequeryinteger · int320–200Optional

The number of items on the page

Responses

Transaction list available

Content-Typeapplication/vnd.authologic.v1.1+jsonJSON
moreboolean required

Information whether there are more pages available

Example:true
itemsarray<Transaction> required

List of transactions

Powered by Authologic Nisaba